# $Revision: 1.12.2.1 $, $Date: 2006/12/20 12:24:39 $
Summary:	PostgreSQL Name Service Switch Module
Summary(pl):	Modu NSS PostgreSQL
Name:		nss_pgsql
Version:	1.0.0
Release:	3
License:	GPL
Group:		Base
Source0:	http://dl.sourceforge.net/sysauth-pgsql/libnss-pgsql-%{version}.tar.gz
# Source0-md5:	73b29c27ad0784baea985f0cf77eec48
Patch0:		%{name}-glibc.patch
URL:		http://sysauth-pgsql.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
# should be bcond'ed
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	postgresql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/%{_lib}

%description
NSS PgSQL is a NSS library for PostgreSQL.

%description -l pl
NSS PgSQL jest bibliotek NSS dla PostgreSQL.

%prep
%setup -q -n libnss-pgsql-%{version}
%patch0 -p1

sed -e 's@#include <postgresql/libpq-fe.h>@#include <libpq-fe.h>@' \
	src/backend.c > backend.c.tmp
mv -f backend.c.tmp src/backend.c

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	--with-ssl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install conf/nss-pgsql.conf $RPM_BUILD_ROOT%{_sysconfdir}

# useless for module
rm -f $RPM_BUILD_ROOT%{_libdir}/*.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS conf/dbschema.sql doc/nss-pgsql.txt
%attr(755,root,root) %{_libdir}/*.so.*.*
%attr(600,root,root) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/nss-pgsql.conf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nss_pgsql.spec,v $
Revision 1.12.2.1  2006/12/20 12:24:39  hawk
- release 3 to rebuild with PostgreSQL 8.2

Revision 1.12  2004/04/03 19:41:52  qboosh
- added glibc patch, lib64 fix, release 2

Revision 1.11  2004/03/19 23:46:31  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.10  2003/09/30 20:18:27  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.9  2003/06/06 06:08:21  ankry
- cosmetics

Revision 1.8  2003/05/28 12:59:59  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 05:51:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/05/09 09:57:40  qboosh
- use sed instead of perl, call libtoolize, removed bogus BR zlib-devel

Revision 1.5  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.4  2003/02/13 14:03:35  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.3  2002/11/06 07:21:55  kloczek
- added nss-pgsql.conf %config file,
- added conf/dbschema.sql to %doc,
- remove not neccessary files from %files.

Revision 1.2  2002/11/05 13:56:32  qboosh
- added URLs, pl summary and %%doc

Revision 1.1  2002/11/04 16:50:15  agaran
initial based on nss_pgsql.spec
